Subject: bug#53250: icedove clears data

From: Nicholas von Klitzing <[email-masked]>
Date: Fri, 14 Jan 2022 12:02:48 +0000

A brief follow up:

It seems the ~/.icedove folder is not used by icedove (it was probably a relic of when I used icedove-wayland).

Now looking into ~./thunderbird instead I see several more profiles.

```
nicholas@guix14 ~/.thunderbird$ ls
bv7r86h9.default/            installs.ini               profiles.ini
gdmykixq.default-default-1/  k6sjw3jm.default-default/
nicholas@guix14 ~/.thunderbird$ cat profiles.ini
[Profile2]
Name=default-default-1
IsRelative=1
Path=gdmykixq.default-default-1

[Profile1]
Name=default
IsRelative=1
Path=bv7r86h9.default
Default=1

[Profile0]
Name=default-default
IsRelative=1
Path=k6sjw3jm.default-default

[Install281FC43567D8867D]
Default=gdmykixq.default-default-1
Locked=1

[General]
StartWithLastProfile=1
Version=2

[Install3F4F07DFB18472B1]
Default=k6sjw3jm.default-default
Locked=1
```

Launching icedove with `icedove -p` and then iterating through the 3 listed profiles all leads to a blank profile, except for default-default. The default-default profile contains all of my mail account and settings.

I now set default-default to be my main profile (resolving my issue) but I doubt this is what users expect the software to do.

Is it possible that icedove creates a new profile on upgrades and sets it as default? I definitely did not manually create 3 profiles.

Kind regards,
Nicholas